summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/doinfo
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/doinfo')
-rwxr-xr-xbin/ebuild-helpers/doinfo7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/ebuild-helpers/doinfo b/bin/ebuild-helpers/doinfo
index e4ccc90d9..355047f73 100755
--- a/bin/ebuild-helpers/doinfo
+++ b/bin/ebuild-helpers/doinfo
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2011 Gentoo Foundation
+# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
@@ -9,8 +9,9 @@ if [[ -z $1 ]] ; then
exit 1
fi
-[[ " ${FEATURES} " == *" force-prefix "* ]] || \
- case "$EAPI" in 0|1|2) ED=${D} ;; esac
+if ! ___eapi_has_prefix_variables; then
+ ED=${D}
+fi
if [[ ! -d ${ED}usr/share/info ]] ; then
install -d "${ED}usr/share/info" || { __helpers_die "${0##*/}: failed to install ${ED}usr/share/info"; exit 1; }